<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [GangGenInfo](./bitburner.ganggeninfo.md)

## GangGenInfo interface

Gang general info.

**Signature:**

```typescript
interface GangGenInfo 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [faction](./bitburner.ganggeninfo.faction.md) |  | string | Name of faction that the gang belongs to ("Slum Snakes", etc.) |
|  [isHacking](./bitburner.ganggeninfo.ishacking.md) |  | boolean | Indicating whether or not it's a hacking gang |
|  [moneyGainRate](./bitburner.ganggeninfo.moneygainrate.md) |  | number | Money earned per game cycle |
|  [power](./bitburner.ganggeninfo.power.md) |  | number | Gang's power for territory warfare |
|  [respect](./bitburner.ganggeninfo.respect.md) |  | number | Gang's respect |
|  [respectForNextRecruit](./bitburner.ganggeninfo.respectfornextrecruit.md) |  | number | Amount of Respect needed for next gang recruit, if possible |
|  [respectGainRate](./bitburner.ganggeninfo.respectgainrate.md) |  | number | Respect earned per game cycle |
|  [territory](./bitburner.ganggeninfo.territory.md) |  | number | Amount of territory held |
|  [territoryClashChance](./bitburner.ganggeninfo.territoryclashchance.md) |  | number | Clash chance |
|  [territoryWarfareEngaged](./bitburner.ganggeninfo.territorywarfareengaged.md) |  | boolean | Indicating if territory clashes are enabled |
|  [wantedLevel](./bitburner.ganggeninfo.wantedlevel.md) |  | number | Gang's wanted level |
|  [wantedLevelGainRate](./bitburner.ganggeninfo.wantedlevelgainrate.md) |  | number | Wanted level gained/lost per game cycle (negative for losses) |
|  [wantedPenalty](./bitburner.ganggeninfo.wantedpenalty.md) |  | number | Number indicating the current wanted penalty |

